# Verify account number

### URI

&#x20;<mark style="color:blue;background-color:blue;">**POST**</mark>&#x20;

<pre><code><strong>https://api.tryduplo.com/v1/merchants/utilities/banks/verify
</strong></code></pre>

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="249"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code></td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Body Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>account_number</strong><br><code>string</code> <mark style="color:red;"><code>require</code></mark></td><td>The bank account number you want to verify</td></tr><tr><td><strong>bank_code</strong><br><code>string</code> <mark style="color:red;"><code>require</code></mark></td><td>The bank code. you can get the bank code <a href="get-a-list-of-registered-banks">here</a></td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request POST 'https://api.tryduplo.com/v1/merchants/utilities/banks/verify' \
--header 'Authorization: Bearer SECRET_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
   "account_number": "0694002924",
   "bank_code": "044"
}'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
 "account_number": "0694002924",
 "bank_code": "044"
});

var config = {
 method: 'post',
 url: 'https://api.tryduplo.com/v1/merchants/utilities/banks/verify',
 headers: {
   'Authorization': 'Bearer SECRET_KEY',
   'Content-Type': 'application/json'
 },
 data : data
};

axios(config)
.then(function (response) {
 console.log(JSON.stringify(response.data));
})
.catch(function (error) {
 console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
 CURLOPT_URL => 'https://api.tryduplo.com/v1/merchants/utilities/banks/verify',
 CURLOPT_RETURNTRANSFER => true,
 CURLOPT_ENCODING => '',
 CURLOPT_MAXREDIRS => 10,
 CURLOPT_TIMEOUT => 0,
 CURLOPT_FOLLOWLOCATION => true,
 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
 CURLOPT_CUSTOMREQUEST => 'POST',
 CURLOPT_POSTFIELDS =>'{
   "account_number": "0694002924",
   "bank_code": "044"
}',
 CURLOPT_HTTPHEADER => array(
   'Authorization: Bearer SECRET_KEY',
   'Content-Type: application/json'
 ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
   "data": {
       "account_number": "0694002924",
       "account_name": "DAVID DANIEL IGBIGBI",
       "bank_id": 1
   },
   "errors": {},
   "message": "Request successful"
}
```
